#ifdef XEROX_MODIFICATION_SMB

/**************************************************************************
                            XEROX REVISION HISTORY


Date       Author                        Description
--------  ------------  --------------------------------------------------
06/22/12  H Freiburg    CQGbl380680: Put convert_decimalString_to_char() into its
						own file so it can also be used by the 'net' executable
**************************************************************************/

#include "includes.h"

#define NUMBER_OF_DECIMAL_DIGITS_FOR_A_CHAR     (3)

/**************************************************************
 static bool_t convert_decimalString_to_char(char *toConvertString,
                                             char *convertedString)

 PURPOSE: This function is used to convert a decimal representation
          of a string of characters back into a normal string of
          characters.

 RETURNS:
         True when the function is successful
         False otherwise.
 **************************************************************/
bool_t convert_decimalString_to_char(char *toConvertString,
                                      char *convertedString)
{
    char decimalCharacter[1024];
    int i = 0;
    int decimalValue = 0;
    char convertedCharacter[1024];
    /* Terminate the  decimalCharacter string with NULL character*/
    decimalCharacter[NUMBER_OF_DECIMAL_DIGITS_FOR_A_CHAR] = '\0';

    /* If a null string was passed in, return FALSE. */
    if ((toConvertString != NULL) && (strlen(toConvertString) > 0))
    {
            /* copy out the first decimal representation of a character */
            strncpy(decimalCharacter, &toConvertString[i],
                                               NUMBER_OF_DECIMAL_DIGITS_FOR_A_CHAR);

            /* convert the 1st decimal from string to an actual integer */
            decimalValue = atoi(decimalCharacter);

            /* convert the 1st decimal value back into a character */
            snprintf(convertedCharacter,sizeof(char) * 2,"%c",decimalValue);

            /* copy the 1st character into the string to return */
            fstrcpy(convertedString, convertedCharacter);

            i = i + NUMBER_OF_DECIMAL_DIGITS_FOR_A_CHAR;

            /* Convert the passed in string from decimal to characters
             *  for as long as there are decimal numbers in the
             *  toConverString. */
            while (toConvertString[i] != 0)
            {
                /* copy out the first decimal representation of a character */
                strncpy(decimalCharacter, &toConvertString[i],
                                                   NUMBER_OF_DECIMAL_DIGITS_FOR_A_CHAR);

                /* convert the decimal from string to an actual integer */
                decimalValue = atoi(decimalCharacter);

                /* convert the decimal value back into a character */
                snprintf(convertedCharacter,sizeof(convertedCharacter) *2,"%c",decimalValue);

                /* copy the character into the string to return */
                fstrcat(convertedString, convertedCharacter);

                i = i + NUMBER_OF_DECIMAL_DIGITS_FOR_A_CHAR;
           }
        }

        return (True);
}

#endif /* XEROX_MODIFICATION_SMB */
