/****************************************************************************
 * Copyright (c) 2001-2010 Xerox Corporation. All Rights Reserved.
 *
 * Copyright protection claimed includes all forms and matters of
 * copyrightable material and information now allowed by statutory or
 * judicial law or hereinafter granted, including without limitation,
 * material generated from the software programs which are displayed
 * on the screen such as icons, screen and the like.
 ****************************************************************************/

#ifndef SMBAPI_DEFS_H
#define SMBAPI_DEFS_H

/**===========================================================================
**
** FILE NAME:       smbapi_defs.h
**
** DESCRIPTION:
**
**      This file defines for libsmbapi.a.
**
** USAGE:
**
**       Needed by SESS internal (and product-specific) modules that need
**       to perform filing operations on an SMB file server.
**
** REVISION HISTORY:
**
** AUTHOR           DATE        DESCRIPTION

**==========================================================================*/

#include <securityapi_defs.h>    // for  AUTH_RESPONSE_COUNT

/* Error Codes returned by SMB API functions */
typedef enum{
    SMB_DLM_SUCCESS,                                  /* 0 */
    SMB_DLM_IPC_MESSAGE_ERROR =  AUTH_RESPONSE_COUNT,
    SMB_DLM_PARAMETER_ERROR,
    SMB_DLM_FILE_ERROR,
    SMB_DLM_INTERNAL_ERROR,
    SMB_DLM_GENERIC_ERROR,
    SMB_DLM_REMOTE_FILE_ERROR,
    SMB_DLM_LOCAL_FILE_ERROR,
    SMB_DLM_DOS_ERROR,
    SMB_DLM_ERROR_COUNT
} smb_api_error;


#endif /* ndef SMBAPI_DEFS_H */

